package innerTask

import (
	"container/list"
	"testing"
	"time"
)

func TestICmdList(t *testing.T) {
	var a ICmdStruct = ICmdStruct{Cmd: ICmd_Set_Comfirm_Info, PackTime: time.Now()}
	var icmdlist ICmdList = ICmdList{List: list.New()}
	icmdlist.Push(&a)
	var b ICmdStruct = ICmdStruct{Cmd: ICmd_Trig_Exec, PackTime: time.Now()}

	icmdlist.Push(&b)
	icmdlist.GetByICmd(ICmd_Set_Comfirm_Info)
	icmdlist.Remove(icmdlist.CurPos)
}
